# SHypX


## Main scripts

`generate_hgraph.py` generates our synthetic hypergraph datasets, H-RandHouse, H-CommHouse, H-TreeCycle, and H-TreeGrid.

`train_allset.py` trains a hypergraph neural network.

`learn_mask.py` obtains the explanation subhypergraph, according to our method and baselines.

`compute_fidelity.py` is a notebook that calculates the fidelity metrics, generates tables, and produces some visualisations.

We use hydra to manage configs, which are saved in `configs`.


## Dependencies

Tested with Python 3.10.12.

```
pip install torch
pip install numpy
pip install torch-scatter -f https://data.pyg.org/whl/torch-2.2.0+cu121.html
pip install torch-sparse -f https://data.pyg.org/whl/torch-2.2.0+cu121.html
pip install torch-geometric
pip install networkx
pip install hypernetx
pip install einops
pip install jupyter
pip install matplotlib
pip install pandas
pip install scipy
pip install scikit-learn
pip install hydra-core
pip install seaborn
pip install torch-explain
pip install pyarrow
pip install igraph
pip install easydict
pip install wandb
```